gdcm::IODs Class Reference

Class for representing a IODs. More...

`#include <gdcmIODs.h>`

## Public Types

typedef std::map< IODName, IOD > | IODMapType
typedef IODMapType::const_iterator | IODMapTypeConstIterator
typedef std::string | IODName

## Public Member Functions

| IODs ()=default
void | AddIOD (const char *name, const IOD &module)
IODMapTypeConstIterator | Begin () const
void | Clear ()
IODMapTypeConstIterator | End () const
const IOD & | GetIOD (const char *name) const

## Friends

std::ostream & | operator<< (std::ostream &_os, const IODs &_val)

## Detailed Description

Class for representing a IODs.

Note
  bla

See also
  IOD

Examples
  TraverseModules.cxx.

## Member Typedef Documentation

## IODMapType

typedef std::map<IODName, IOD> gdcm::IODs::IODMapType

## IODMapTypeConstIterator

typedef IODMapType::const_iterator gdcm::IODs::IODMapTypeConstIterator

Examples
  TraverseModules.cxx.

## IODName

typedef std::string gdcm::IODs::IODName

Examples
  TraverseModules.cxx.

## Constructor & Destructor Documentation

## IODs()

gdcm::IODs::IODs | ( |  | ) |

default

References IODs(), and operator<<.

Referenced by IODs(), and operator<<.

## Member Function Documentation

## AddIOD()

void gdcm::IODs::AddIOD | ( | const char * | name,
|  | const IOD & | module )

inline

## Begin()

IODMapTypeConstIterator gdcm::IODs::Begin | ( |  | ) | const

inline

Examples
  TraverseModules.cxx.

## Clear()

void gdcm::IODs::Clear | ( |  | ) |

inline

## End()

IODMapTypeConstIterator gdcm::IODs::End | ( |  | ) | const

inline

Examples
  TraverseModules.cxx.

## GetIOD()

const IOD & gdcm::IODs::GetIOD | ( | const char * | name | ) | const

inline

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const IODs & | _val )

friend

References IODs().

Referenced by IODs().

The documentation for this class was generated from the following file:

- gdcmIODs.h